Package twisted :: Package scripts :: Module htmlizer

[frames | no frames]

## Module twisted.scripts.htmlizer

HTML pretty-printing for Python source code.

Classes
`Options` |

Function Summary
| `run()`

Variable Summary
`str` | `__version__` = `'1.8'`
`str` | `alternateLink` = `'<link rel="alternate" href="%(source)s"...`
`str` | `footer` = `'</body>'`
`str` | `header` = `'<html><head>\n<title>%(title)s</title>\n<meta ...`
`str` | `styleLink` = `'<link rel="stylesheet" href="%s" type="text...`

Variable Details

### __version__

  Type:
    `str`
  Value:

        '1.8'

### alternateLink

  Type:
    `str`
  Value:

        '<link rel="alternate" href="%(source)s" type="text/x-python" />'

### footer

  Type:
    `str`
  Value:

        '</body>'

### header

  Type:
    `str`
  Value:

        '''<html><head>
        <title>%(title)s</title>
        <meta name="Generator" content="%(generator)s" />
        %(alternate)s
        %(stylesheet)s
        </head>
        <body>
        '''

### styleLink

  Type:
    `str`
  Value:

        '<link rel="stylesheet" href="%s" type="text/css" />'

Generated by Epydoc 2.0 on Sat May 15 20:08:28 2004 | http://epydoc.sf.net